import { CommonModule } from "@angular/common";
import { Component } from "@angular/core";
import { NzBreadCrumbModule } from "ng-zorro-antd/breadcrumb";
import { NzButtonModule } from "ng-zorro-antd/button";
import { NzCardModule } from "ng-zorro-antd/card";
import { NzFormModule } from "ng-zorro-antd/form";
import { NzIconModule } from "ng-zorro-antd/icon";
import { NzLayoutModule } from "ng-zorro-antd/layout";
import { NzMenuModule } from "ng-zorro-antd/menu";
import { NzToolTipModule } from "ng-zorro-antd/tooltip";
import { NzSelectModule } from 'ng-zorro-antd/select';
import { FormsModule } from "@angular/forms";
import { JobModel } from "../../data-access/model/jobModel.model";
import { JobService } from "../../data-access/services/JobService.service";
import { NzNotificationService } from 'ng-zorro-antd/notification';
import { finalize } from "rxjs";
@Component({
  selector: "app-job-form",
  templateUrl: "./jobForm.component.html",
  standalone: true,
  imports: [
    CommonModule,
    NzButtonModule,
    NzBreadCrumbModule,
    NzIconModule,
    NzLayoutModule,
    NzMenuModule,
    NzToolTipModule,
    NzCardModule,
    NzFormModule,
    NzSelectModule,
    FormsModule
  ],
})
export class JobFormComponent {
  job: JobModel = {
    type: '',
    created_at: new Date().toISOString(),
    company: '',
    company_url: '',
    location: '',
    title: '',
    description: ''
  };
  constructor(private jobService: JobService, private notification: NzNotificationService) {}

  onSubmit() {
    console.log('Job Data:', this.job);
    this.jobService.addingNewJob(this.job).pipe(
      finalize(() => this.notification.success('Success', 'Thêm thành công'))
    ).subscribe();
  }
}
